import {
	WeaTools
} from 'ecCom'

export const getAuth = (params) => {
	return WeaTools.callApi('/api/hrm/awardtype/getHasRight', 'GET', params);
}

export const getButtonsMenu = (params) => {
	return WeaTools.callApi('/api/hrm/awardtype/getRightMenu', 'GET', params);
}

export const getTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/awardtype/getSearchList', 'GET', params);
}

export const getSearchItems = (params) => {
	return WeaTools.callApi('/api/hrm/awardtype/getSearchCondition', 'GET', params);
}

export const getForm = (params) => {
	return WeaTools.callApi('/api/hrm/awardtype/getAwardTypeForm?is_multilang_set=true', 'GET', params);
}

export const deleteTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/awardtype/delete', 'POST', params);
}

export const add = (params) => {
	return WeaTools.callApi('/api/hrm/awardtype/add', 'POST', params);
}

export const edit = (params) => {
	return WeaTools.callApi('/api/hrm/awardtype/edit', 'POST', params);
}